
/* ========================= */
/* ---> PORTFOLIO <--------- */
/* ========================= */
#anchor-portfolio { 
    position: relative;
    bottom: 80px;
}

#portfolio {
    background-color: $light-gray;
    width: 100%;
    height: auto;
    
    h1 { margin: 0; }

    // ============================ //
    // ===> Portfolio NavBar 
    // ============================ //
    #portfolio-navbar { // UL //
        display: flex;
        flex-direction: row;
        align-items: center;
        width: 30%;
        margin: 60px auto ;
        
        .portfolio-nav-item { // LI //
            flex: 1 0 auto;
            display: flex;
            align-items: center;
            justify-content: center;
            background-color: darken($light-gray, 11%);
            
            &:first-child {
                border-top-left-radius: 10px;
                border-bottom-left-radius: 10px;
            }
            &:last-child {
                border-top-right-radius: 10px;
                border-bottom-right-radius: 10px;
            }
        }
        .portfolio-nav-link { // A //   
            display: flex;
            justify-content: center;
            flex: 1 0 auto;

            position: relative;
            
            font-size: 1.1em;
            
            text-decoration: none;
            color: $white;

            padding: 10px 0;
            border: 5px solid transparent;
            
            transition:         background-color  0.4s;
                -moz-transition:    background-color  0.4s;
                -o-transition:      background-color  0.4s;
                -ms-transition:     background-color  0.4s;
                -webkit-transition: background-color  0.4s;

            i {  display: none; }
            
            &:hover { // A:HOVER //
                border-bottom: 3px solid $dark-blue;
                background-color: $light-blue;
                border-radius: 5px;
                
                font-weight: 800;

                i {
                    display: block;
                    position: absolute;
                    top: 25px;
                    left: 38%;
                    color: $dark-blue;
                }
            }
        }
        .portfolio-nav-link:hover .portfolio-nav-item {
            background-color: $light-blue;
            border: 2px solid $dark-blue;
            color: $white;
        }
    }

    // ============================ //
    // ===> Portfolio Projects
    // ============================ //
    .portfolio-project { // DIV Container Portfolio 
        width: 98%;
        margin: auto;
        display: flex;
        justify-content: center;
            align-items: center;
        
        .portfolio-line { // UL
            display: flex;
            flex-flow: row wrap;
            height: auto;
            width: 70%;
            justify-content: space-around;
            margin: 35px auto;
            
            .portfolio-item { // LI
                list-style: none;
                width: $img-width ;
                height: $img-height;
                margin: 12px 5px;

                // ===================== //
                // => Animation on image //
                // ===================== //
                .project-link {
                    min-width: $img-width ;
                    max-width: $img-width + 50px;
                    height: $img-height;

                    .img-project { 
                        width: $img-width ;
                        height: $img-height ;    
                        position: relative;     
                    }

                    figure {
                        cursor: pointer;
                        overflow: hidden;
                        position: relative;
                        width: $img-width ;
                        height: $img-height;
                        background: #FFF;

                        figcaption {
                            min-width: $img-width ;
                            max-width: $img-width + 50px ;
                            height: 0;
                            background-color: rgba(0,0,0,.6);
                            position: absolute;
                            bottom: -30px; 
                            color: $white;
                            text-align: left;
                            padding: 10px 8px 0 10px;  
                            h3 {
                                font-weight: bold;
                                font-size: 0.9em;
                                z-index: 2000;       
                            }       
                            p {
                                z-index: 2000;
                                font-size:0.85em;
                                margin-top: 10px;
                            }
                            .fa-eye {
                                display: none;
                                position: absolute;
                                right: 20px; top: -20px;
                                background: $light-blue;
                                border: 1px solid $white;
                                color: $white;
                                border-radius: 50%;
                                width: 35px; 
                                height: 35px;
                                display: flex;
                                justify-content: center;
                                align-items: center;
                                font-size: 1.2em;
                            }
                            
                        }
                    }
                    figure:hover figcaption {
                        animation-duration: 1.5s;
                        animation-name: img-portfolio;
                        animation-fill-mode: both; // Stay in final position after the animation
                        
                        -webkit-animation-duration: 1.5s;
                        -webkit-animation-name: img-portfolio;
                        -webkit-animation-fill-mode: both;
                        
                        -moz-animation-duration: 1.5s;
                        -moz-animation-name: img-portfolio;
                        -moz-animation-fill-mode: both;
                        
                        -o-animation-duration: 1.5s;
                        -o-animation-name: img-portfolio;
                        -o-animation-fill-mode: both;
                        
                        -ms-animation-duration: 1.5s;
                        -ms-animation-name: img-portfolio;
                        -ms-animation-fill-mode: both;
                    }


                    
                }
            }
            
        } 
    }
}

    //====================================== //
    // =========> MEDIA QUERIES <=========== //
    //====================================== //
@media only screen and (max-width: 1680px) {
    #portfolio {
        nav {
            #portfolio-navbar {
                width: 50%;
                margin: 60px auto 15px;
            }
        }
    }
}
@media only screen and (max-width: 1575px) {
    #portfolio {
        .portfolio-project {
            width: 99% ;

            .portfolio-line { // UL
                width: 86% ;
            } 
        }
    }
}
@media only screen and (max-width: 1440px ) {
    #portfolio {
        .portfolio-project {
            .portfolio-line { // UL
                width: 94% ;
            } 
        }
    }
}
@media only screen and (max-width: 1280px ) {
    #portfolio {
        .subtitle { margin-top: 13px; width: 42%;}
  
    }
}
@media only screen and (max-width: 1160px ) {
    #portfolio {
        .subtitle { width: 50%;}
        .portfolio-project {
            .portfolio-line { // UL
                width: 98% ;
            } 
        }
    }
}
@media only screen and (max-width: 1125px ) {
    #portfolio {
        .portfolio-project {
            .portfolio-line { // UL
                width: 73% ;
                justify-content: center;

                .portfolio-item { // LI
                    margin: 12px 15px;
                }
            } 
        }
    }
}
@media only screen and (max-width: 1080px ) {
    #portfolio {
        .portfolio-project {
            .portfolio-line { // UL
                width: 60% ;
            } 
        }
    }
}
@media only screen and (max-width: 992px ) {
    #portfolio {       
        .active { 
            border: 2px solid $dark-blue;
            border-bottom: 4px solid $dark-blue;
            background-color: $light-blue;
            border-radius: 5px;  
    
            color: $white;
        }
            
        .portfolio-project {
            // UL
            .portfolio-line {
                width: 88%;
                .portfolio-item {
                    // ===================== //
                    // => Animation on image //
                    // ===================== //
                    .project-link {
                        .project-description {
                            bottom: -172px ;
                        }
                        &:hover .project-description {
                            animation: none;
                            -webkit-nimation: none;
                            -ms-nimation: none;
                            -o-nimation: none;
                            -moz-nimation: none;
                        }
                    }
                }
            }
        }
    }
}
@media only screen and (max-width: 884px) {
    #portfolio {
        .portfolio-project {
            .portfolio-line {
                width: 80%;
            }
        }
    }
}
@media only screen and (max-width: 780px) {
    #portfolio {
        .subtitle {
            width: 90%;
        }
        nav {
            #portfolio-navbar { width: 75% ;  } 
        }
    }
}
@media only screen and (max-width: 768px) {
    #portfolio {
        .portfolio-project {
            .portfolio-line {
                width: 85%;
            }
        }
    }
}
@media only screen and (max-width: 698px) {
    #portfolio {
        .portfolio-project {
            .portfolio-line {
                width: 94%;
            }
        }
    }
}
@media only screen and (max-width: 628px) {
    #portfolio {
        .portfolio-project {
            .portfolio-line {
                width: 98%;
            }
        }
    }
}
@media only screen and (max-width: 618px) {
    #portfolio {
        nav {
            width: 100%;
            #portfolio-navbar { 
                width: 80%;
                flex-wrap: wrap;
                .portfolio-nav-item {
                    width: 35%;
                    margin: 10px 5px ;
                    border-radius: 10px;
                }
                .portfolio-nav-link { &:hover { i {left: 43%;} }
                }
            } 
        }
        .portfolio-project {
            .portfolio-line {
                width: 99.5%;
            }
        }
    }
}
@media only screen  and (max-width: 320px) {           
    #portfolio {
        padding: 0 !important;
        .subtitle {width: 98%;}
    }
}

